import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const liveStockGetInventoryData = createAsyncThunk(
  "SLAUGHTER_GET_COLD_HOUSES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("cold-house/", {
      params: { role: getRoleFromUrl(), ...d },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);

export const liveStockGetInventoryDataDashboard = createAsyncThunk(
  "SLAUGHTER_GET_COLD_HOUSES",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("cold-house-dashboard/", {
      params: { role: getRoleFromUrl(), ...d },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
